Subject: Re: [PATCH] Fix powerpc vio_find_name to not use devices_subsys

From: Greg KH <[email-masked]>
Date: Sat, 26 Jan 2008 21:36:06 -0800

On Sun, Jan 27, 2008 at 11:45:30AM +1100, Paul Mackerras wrote:
> This fixes vio_find_name() in arch/powerpc/kernel/vio.c, which is
> currently broken because it tries to use devices_subsys.  That is bad
> for two reasons: (1) it's doing (or trying to do) a scan of all
> devices when it should only be scanning those on the vio bus, and
> (2) devices_subsys was an internal symbol of the device system code
> which was never meant for external use and has now gone away, and
> thus the kernel fails to compile on pSeries.
> 
> The new version uses bus_find_device() on the vio bus (vio_bus_type).
> 
> Signed-off-by: Paul Mackerras <[email-masked]>
> ---
> Greg, do you want to send this to Linus or will I do that?  Or do you
> have a better version? :)

I'll send it to him, with a minor change (I'm going to make this a core
function, as others also use the same functionality, no need for
everyone to re-invent the wheel all the time.

I also have some other patches to send him to fix up the fall-out of
these driver core changes :)

thanks,

greg k-h